Subject: fdpatches2 for pl15 available
From: [email-masked] (Alain Knaff)
Date: 18 Feb 1994 17:58:19 +0200
Newsgroups: comp.os.linux.announce

I have uploaded a second updated version of Heiko Schroeder's
fdpatches to sunsite and tsx. At sunsite, it is now in Incoming, and it
will probalbly moved to /pub/Linux/kernel/misc-patches/fdpatches2for15.tgz
You can also get it from ftp.imag.fr:/pub/ZLIBC/fdpatches/fdpatches2for15.tgz

  After applying this patch you will be able to use formats
with more than the usual 18 (or 15) sectors per track and with more
than 80 tracks. For instance you will be able to squeeze 1743 K on a
high density 3''1/2 disk. I updated this patch to work with linux
0.99pl15.
 The package also contains a new mtools to use the 1743 K disquettes more
efficiently. It has the following new features:

	1) Mtools can now set the disk geometry on Linux. (Useful for
	reading 1.72 Mb disks. This was already possible on unixpc and
	SPARC )
	2) New mmount command. Reads the bootsector, sets the geometry
	and finally mounts the disk. Only available for Linux.

	3) Mwrite can now write stdout to a dos file: mwrite - a:test
	4) Mread now also acts as mtype: mread a:test -
        These two features are useful for piping and for scripts.

	5) Mtools now tries 3 sources to get its drive geometry.
	configuration: first ~/.mtoolsrc, then /etc/mtools, and finally 
	compiled-in. ( The two first are conditional on LOADDEVS being
	defined ). LOADDEVS is now compatibles with the various geometry
	setting routines (init_linux, init_sparc and init_unixpc).
	6) Bug fixes for -t mode of mwrite and mread. ( For certain file sizes
	the trailing dos end-of-file character wasn't correctly written.)
	7) Bug fixes for "drive probing code" in init.c (Now failure to lock 
	onto a disk causes always trial of the next configuration. Before, 
	mtools used to abort on certain cases). Similar fixes in mformat.
	8) Optimization/bug fix of cluster/fat repartition in mformat.c
	9) Made fat checking code optional. (1.72mb disks mformatted with old 
        mtools were almost always rejected) To bypass fat-checking set the
	environment veriable MTOOLS_FAT_COMPATIBILITY.
	10) Mtools now opens /dev/tty to ask for confirmation messages. This
        way, it doesn't interfere with mreading/mwriting from/to stdin/stdout.

See also the included README and mtools-2.0.7alk/Release.Notes files for 
details.
-- 
 Alain

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.